Error en dist-upgrade de Debian Squeze a Wheezy

Comentarios sobre el buen funcionamiento del sistema y como personalizarlo a tus necesidades.

Moderadores: doc, mcun

Responder
Gandolfus
Forista Nuevo
Forista Nuevo
Mensajes: 16
Registrado: Sab Ago 25, 2012 6:37 pm

Error en dist-upgrade de Debian Squeze a Wheezy

Mensaje por Gandolfus »

Hola,
He realizado un squeeze-wheezy upgrade en mi equipo debian siguiendo instrucciones de la página oficial. Todo fué perfecto proceso largo con muchas descargas, etc..
Todo parece ir bien. Ha cambiado incluso la presentación de escritorio que ahora es mas sencilla con el signo del nautilus y un fondo gris acero.
Solo dos reservas:

1.-Después de dist-upgrade aparece este error:
E: No se pudo realizar la configuración inmediata de «python-pyatspi2». Consulte la página de manual con «man 5 apt.conf» bajo «APT::Immediate-Configure» para más información. (2)

2.- Si escribo en root terminal "cat /etc/issue" responde "Debian GNU/Linux 6.0 \n \l" ; Yo esperaba algo de wheezy pero al parecer no se ha enterado del cambio de versión.

Agradezco de antemano la lectura de este post y cualquier consejo de ayuda.
Última edición por Yoyo el Lun Oct 15, 2012 7:44 pm, editado 3 veces en total.
Razón: Tema movido al foro Sistema por pertenecer mejor a esta temática. Título editado para una mejor descripción.

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Error en dist-upgrade de Debian Squeze a Wheezy

Mensaje por niky45 »

a) has reiniciado ya?? si bi es cierto que no seria necesario, es mas que muy recomendable despues de una actualizacion tan grande.

b) sigue dandole a dist-upgrade alguna vez mas, y asegurate de leer lo que quiere hacer.

c) asumo que has cambiado el sources a wheezy (se que es muy obvio, pero fallos mas tontos he visto tenido)

PD: apt-get o aptitude?? puedes pasr el log de la actualizacion via pastie.org??
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Gandolfus
Forista Nuevo
Forista Nuevo
Mensajes: 16
Registrado: Sab Ago 25, 2012 6:37 pm

Re: Error en dist-upgrade de Debian Squeze a Wheezy

Mensaje por Gandolfus »

Gracias por la pronta respuesta.
a)Reinicia correctamente. ahora en la petición de usuario y contraseña tiene una pantalla con fondo verde limón, que no estaba en squeeze.

b)Si hago apt-get dist-upgrade lanza un chorro de información sobre la catidad de paquetes que quiere instalar y termina con esto:
919 actualizados, 821 se instalarán, 68 para eliminar y 0 no actualizados.
Se necesita descargar 0 B/1189 MB de archivos.
Se utilizarán 975 MB de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? s
E: No se pudo realizar la configuración inmediata de «python-pyatspi2». Consulte la página de manual con «man 5 apt.conf» bajo «APT::Immediate-Configure» para más información. (2)

c)Por supuesto que tengo el source.list todo a wheezy.

d)He utilizado siempre apt-get porque así lo recomienda Debian para upgrade en su web.
Perdón por mi ignorancia: donde encuentro el log de actualización y que es Pastie.org

Saludos y gracias siempre por tan amable ayuda.

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Error en dist-upgrade de Debian Squeze a Wheezy

Mensaje por niky45 »

intentalo con aptitude a documentacion oficial de debian (como muchas otras cosas) sule estar un poco obsoleta, ademas, vamos a ser sinceros... arreglarlo con aptitude es muchisimo mas facil que con apt-get :oops:

respecto a tus preguntas, te las contestaria si no estuviera desde el portatil, que el pobre no sta ara estos trotes, asi que te va a tocar tirar de google. ;)

nota: por lo visto te a hecho una actualizacion parcial y se ha quedado ahi, lo que toca es acabar de actualizarlo. ANTES de meterte en lios, dale a aptitude safe-upgrade y luego a aptitude dist-upgrade, leyedo detenidamente lo que intenta hacer este ultimo (supongo que si recomiendan apt-get es porque aptitude alguna vez intenta desionstalar medio sistema... obviamente, dile que no, y que te proponga mas solucioes, por ejemplo actulizar todo.)

:(
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Re: Error en dist-upgrade de Debian Squeze a Wheezy

Mensaje por hmg79 »

No se como hiciste la actualización, pero yo lo que suelo hacer es varias veces hacerle un upgrade, y después recién el dist-upgrade, aunque también se los realizo varias veces hasta que no pida seguir actualizando cosas.-

Gandolfus
Forista Nuevo
Forista Nuevo
Mensajes: 16
Registrado: Sab Ago 25, 2012 6:37 pm

Re: Error en dist-upgrade de Debian Squeze a Wheezy

Mensaje por Gandolfus »

Gracias por todos los consejos. Los puse en práctica pero no han funcianado. Al final opté por una instalación limpia desde CD de Wheezy. Menos mal que siempre tengo backup de datos. La sorpresa ahora es que la nueva distro (rápida, ligera y limpia) cambia el escritorio por Xfce que no tiene la utilidad de ver las redes de casa. Tengo una red Windows domestica y con Gnome podía ver la red windows y navegar por las carpetas compartidas e intercambiar ficheros. Podríais aconsejarme alguna aplicación que cubra esta faceta con el Xfce, porque todo lo que leo por ahí me parece muy complejo desde instalar un servidor samba a otras soluciones de mucha programación. ¿No existe algun paquete con algo simple y efectivo como lo que trae Gnome en debian squeeze?
gracias siempre.

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Error en dist-upgrade de Debian Squeze a Wheezy

Mensaje por niky45 »

esque la unica forma de contactar con redes win es samba. otra cosa es que gnome lleve algun frontend. pero SIEMPRE estara basado en samba.

por cierto: yo no uso gnome, asi que nos puedes decir que es lo que lleva?? (agradeceria con capturas, que es mas rapido)

PD: no obstante, nos estamos saliendo del tema. si algun moderador pasa por aqui y es tan amable de separarlo.... ;)
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje